// LCD-Routines for a 4-line display with 40 characters and HD44780U controller
// Johann Gysin

#ifndef _LCD_H
#define _LCD_H

extern void LCD_Init(unsigned char DisplayType); // 0 = 4 lines / 40 characters, 1 = 4 lines / 20 characters
extern void LCD_WriteInstr(unsigned char LCD_Controller, unsigned char Instr);
extern void LCD_Clear(void);
extern void LCD_Control(unsigned char LCD_Controller, unsigned char disp_on, unsigned char cursor_on, unsigned char blink);
extern char LCD_SetCursor(unsigned char line, unsigned char character);
extern void LCD_WriteChar(unsigned char LCD_Controller, unsigned char Data);
extern void LCD_WriteStr(unsigned char line, unsigned char character, const unsigned char *str);
extern void LCD_WriteInt(unsigned char line, unsigned char character, int number);

#endif
